<?php

/**
* JsonPluginException
* Extends the Exception class to return JSON formatted error messages:
* ie. { 'err': error, 'msg': message }
* `err` is a short description (ie. db-error)
* `msg` is a human readable description of the error
*/
class JsonPluginException extends Exception {
    function __construct($err, $msg, $code = 0, Throwable $previous = null) {
        parent::__construct($msg, $code, $previous);
        $this->obj = [ 'err' => $err, 'msg' => $msg ];
    }
}
